<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.xval.ManageReferencedObjects']}</h2>
        <ui:decorate template="/xvalidation/common/browseReferencedObjectTemplate.xhtml">
            <ui:param name="managedBean" value="#{referencedObjectAdministrationManager}"/>
            <ui:define name="actionButtons">
                <a4j:commandLink action="#{referencedObjectAdministrationManager.edit(ref)}"
                                 title="#{messages['net.ihe.gazelle.xval.EditReferencedObject']}"
                                 styleClass="action">
                    <s:span styleClass="gzl-icon-pencil "/>
                </a4j:commandLink>
                <a4j:commandLink action="#{referencedObjectAdministrationManager.duplicate(ref)}"
                               title="#{messages['net.ihe.gazelle.xval.CopyReferencedObject']}"
                               styleClass="action">
                    <s:span styleClass="gzl-icon-files-o "/>
                </a4j:commandLink>
            </ui:define>
        </ui:decorate>
    </ui:define>
</ui:composition>
